-- locale stuff
local LABEL = WHISPER
local locale = GetLocale()

if locale == "deDE" then
	LABEL = LABEL .. " (ausgehend)"
else
	LABEL = LABEL .. " (outgoing)"
end

-- insert it right behind the whisper option
local list = CHAT_CONFIG_CHAT_LEFT 
local num = #list
for i=num, 1, -1 do
	if list[i].type == "WHISPER" then
		list[i+1] = {
			text = LABEL,
			type = "WHISPER_INFORM",
			checked = function() return IsListeningForMessageType("WHISPER") end,
			func = function(self, checked) ToggleChatMessageGroup(checked, "WHISPER") end,			
		}
		break
	else
		list[i+1] = list[i]
	end
end

ChatConfigFrame:SetHeight(512)
-- sometimes the frame gets resized
ChatConfigFrame:SetScript("OnSizeChanged", function(self)
	if self:GetHeight() < 512 then
		self:SetHeight(512)
	end
end)
